# run static method

Future<ConfigurableApplicationContext?> run(

1. Object primarySource,
2. List<String> args, [
3. RuntimeProvider? provider

])

Convenience method for running an application with a single primary source.

This is the simplest way to launch a JetLeaf application from a main method.

### Usage:

    void main(List<String> args) {
      JetApplication.run(MyApplication, args);
    }

`primarySource` the primary source (typically main application class) `args` command line arguments `provider` optional runtime provider

Returns the created application context

## Implementation

    static Future<ConfigurableApplicationContext?> run(Object primarySource, List<String> args, [RuntimeProvider? provider]) {
      return runSources(primarySource, [], args, provider);
    }